diff -Nru orig/re2/src/re2google/util/mutex.h patched/re2/src/re2google/util/mutex.h
--- orig/re2/src/re2google/util/mutex.h	2021-03-30 17:40:25.000000000 +0200
+++ patched/re2/src/re2google/util/mutex.h	2021-08-05 13:02:07.166799000 +0200
@@ -73,7 +73,12 @@
 #if defined(MUTEX_IS_WIN32_SRWLOCK)
 
 Mutex::Mutex()             { InitializeSRWLock(&mutex_); }
+#ifdef RE2_R_BUILD
+Mutex::~Mutex() noexcept(false)            { }
+#else
 Mutex::~Mutex()            { }
+#endif
+
 void Mutex::Lock()         { AcquireSRWLockExclusive(&mutex_); }
 void Mutex::Unlock()       { ReleaseSRWLockExclusive(&mutex_); }
 void Mutex::ReaderLock()   { AcquireSRWLockShared(&mutex_); }
